<div class="panel panel-default config">
				<form method="post" action="{$adminURL}">
								<input type="hidden" value="saveConfig" name="cssAdminConfigAction"> {$jtl_token}
								<div class="panel-body">
												
												<div class="panel-heading">
																<h3 class="panel-title">MaxMind (GeoLite2) Konfiguration</h3>
												</div>

												<div class="input-group">
													<span class="input-group-addon"> <label for="maxMindUserAccount">Account/User ID MaxMind</label></span> <span class="input-group-wrap"> <input name="maxMindUserAccount" id="maxMindUserAccount"
																	placeholder=""  type="text" class="form-control" value="{$pluginConfig->maxMindUserAccount}">
													</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
																					data-original-title="Bitte tragen Sie Ihren Account von MaxMind ein.">
																					<i class="fa fa-question"></i>
																	</button></span>
												</div>

												<div class="input-group">
													<span class="input-group-addon"> <label for="maxMindUserKey">Lizenskey bei MaxMind</label></span> <span class="input-group-wrap"> <input name="maxMindUserKey" id="maxMindUserKey"
																	placeholder=""  type="text" class="form-control" value="{$pluginConfig->maxMindUserKey}">
													</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
																					data-original-title="Bitte tragen Sie Ihren Lizenzkey von MaxMind ein.">
																					<i class="fa fa-question"></i>
																	</button></span>
												</div>
{if !empty($pluginConfig->maxMindUserKey)}
{if $autoImport===false}
<div class="alert alert-warning" style="margin-top:15px; padding:10px;">
<p>Ihre Serverkonfiguration erlaubt es nicht, Shellbefehle auszuf&uuml;hren, daher ist ein automatischer Import der MaxMind Datenbank nicht m&ouml;glich. Bitte beachten Sie die Anweisungen in der Dokumentation.</p>
</div>
{else}
{if $isWriteable===false}
<div class="alert alert-warning" style="margin-top:15px; padding:10px;">
<p>Das Verzeichnis {$css_dataPath} ist nicht beschreibbar, bitte vergeben Sie diesem Verzeichnis Schreibrechte.</p>
</div>
{else}
<div id="geoImport-button" style="position:relative;">
												<button type="button" class="btn btn-default geoIPImport">GeoLite2 Import</button> 
</div>
{/if}

{/if}
{/if}
<hr>
												<div class="panel-heading">
																<h3 class="panel-title">Konfiguration</h3>
												</div>

     <div class="btn-group input-group" data-toggle="buttons">
       <span class="input-group-addon"> <label for="showModalTax">Zuweisung des Steuerlandes</label></span>
       <span class="input-group-wrap">
         <select id="showModalTax" name="showModalTax" class="form-control" >
           <Option {if $pluginConfig->showModalTax== 'n'} selected {/if} value="N">Keine automatische Zuweisung (kein automatisches Fenster / Auswahl nur per Link)</Option>
           <Option {if $pluginConfig->showModalTax== 'M'} selected {/if} value="M">Modales Fenster</Option>
           <Option {if $pluginConfig->showModalTax== 'G'} selected {/if} value="G">Automatische Erkennung durch GeoLite2</Option>
           <Option {if $pluginConfig->showModalTax== 'GM'} selected {/if} value="GM">Modales Fenster bei Nichterkennung durch GeoLite2</Option>
         </select>
       </span>
       <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
           data-original-title="Aktivieren oder deaktivieren Sie die Lieferland Abfrage">
           <i class="fa fa-question"></i>
       </button></span>
    </div>

     <div class="btn-group input-group" data-toggle="buttons">
       <span class="input-group-addon"> <label for="showTaxInformation">Anzeige der Steuerinformationen</label></span>
       <span class="input-group-wrap">
         <select id="showTaxInformation" name="showTaxInformation" class="form-control" >
           <Option {if $pluginConfig->showTaxInformation== 'N'} selected {/if} value="N">Nein</Option>
           <Option {if $pluginConfig->showTaxInformation== 'Y'} selected {/if} value="Y">Ja</Option>
         </select>
       </span>
       <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
           data-original-title="Aktivieren oder deaktivieren Sie die Steuerinformation">
           <i class="fa fa-question"></i>
       </button></span>
    </div>

     <div class="btn-group input-group" data-toggle="buttons">
       <span class="input-group-addon"> <label for="botDetection">Bot Erkennung</label></span>
       <span class="input-group-wrap">
         <select id="botDetection" name="botDetection" class="form-control" >
           <Option {if $pluginConfig->botDetection== 'N'} selected {/if} value="N">Nein</Option>
           <Option {if $pluginConfig->botDetection== 'Y'} selected {/if} value="Y">Ja</Option>
         </select>
       </span>
       <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
           data-original-title="Aktivieren oder deaktivieren Sie die Bot Erkennung, dies verhindert die automatisierte Umstellung und ist insbesondere f&uuml;r Googleshopping relevant.">
           <i class="fa fa-question"></i>
       </button></span>
    </div>


												<div class="input-group">
													<span class="input-group-addon"> <label for="selector_artikel">Selektor f&uuml;r die Anzeige in der Artikel Detailseite</label></span> <span class="input-group-wrap"> <input name="selector_artikel" id="selector_artikel"
																	placeholder=".product-offer >.price_wrapper"  type="text" class="form-control" value="{$pluginConfig->selector_artikel}">
													</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
																					data-original-title="Bitte tragen Sie den Selektor f&uuml;r die Anzeige des Inhaltes ein.">
																					<i class="fa fa-question"></i>
																	</button></span>
												</div>
		
											<div class="btn-group input-group" data-toggle="buttons">
												<span class="input-group-addon"> <label for="selector_artikel_position">Position f&uuml;r die Anzeige der  Auswahl in der Artikel Detailseite</label></span> <span class="input-group-wrap"> <select id="selector_artikel_position"
													name="selector_artikel_position" class="form-control">
														<Option {if $pluginConfig->selector_artikel_position=='prepend'} selected {/if} value="prepend">Am Anfang des Elements</Option>
														<Option {if $pluginConfig->selector_artikel_position=='append'} selected {/if} value="append">Am Ende des Elements</Option>
														<Option {if $pluginConfig->selector_artikel_position=='before'} selected {/if} value="before" >vor dem Element</Option>
														<Option {if $pluginConfig->selector_artikel_position=='after'} selected {/if} value="after" >Nach dem Element</Option>
														<Option {if $pluginConfig->selector_artikel_position=='html'} selected {/if} value="html" >Inhalt des Elements ersetzen</Option>
												</select>
												</span> <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
														data-original-title="W&auml;hlen  Sie die Position und die Art, wie die Inhalte eingesetzt werden sollen">
														<i class="fa fa-question"></i>
													</button></span>
											</div>

												<div class="input-group">
													<span class="input-group-addon"> <label for="selector">Selektor f&uuml;r die Anzeige der Auswahl (Seite)</label></span> <span class="input-group-wrap"> <input name="selector" id="selector"
																	placeholder="#footer"  type="text" class="form-control" value="{$pluginConfig->selector}">
													</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
																					data-original-title="Bitte tragen Sie den Selektor f&uuml;r die Anzeige des Inhaltes ein.">
																					<i class="fa fa-question"></i>
																	</button></span>
												</div>
		
											<div class="btn-group input-group" data-toggle="buttons">
												<span class="input-group-addon"> <label for="selector_position">Position f&uuml;r die Anzeige der  Auswahl (Seite)</label></span> <span class="input-group-wrap"> <select id="selector_position"
													name="selector_position" class="form-control">
														<Option {if $pluginConfig->selector_position=='prepend'} selected {/if} value="prepend">Am Anfang des Elements</Option>
														<Option {if $pluginConfig->selector_position=='append'} selected {/if} value="append">Am Ende des Elements</Option>
														<Option {if $pluginConfig->selector_position=='before'} selected {/if} value="before" >vor dem Element</Option>
														<Option {if $pluginConfig->selector_position=='after'} selected {/if} value="after" >Nach dem Element</Option>
														<Option {if $pluginConfig->selector_position=='html'} selected {/if} value="html" >Inhalt des Elements ersetzen</Option>
												</select>
												</span> <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
														data-original-title="W&auml;hlen  Sie die Position und die Art, wie die Inhalte eingesetzt werden sollen">
														<i class="fa fa-question"></i>
													</button></span>
											</div>



<hr>

	<div class="alert alert-info">
		<p>Bezeichnung der Steuerzonen in den jeweiligen Shop Sprachen</p>
	</div>



{foreach from=$aTaxZones item=oTaxZone name='taxCountrys'}
	<div class="panel-heading" >
		<h3 class="panel-title" style="height:auto;" >{$oTaxZone->cName}</h3>
	</div>

		<div class="input-group">
			<span class="input-group-addon"> <label></label><input type="hidden" value="{if !empty($pluginConfig->TaxZoneIcon[$oTaxZone->kSteuerzone])}{$pluginConfig->TaxZoneIcon[$oTaxZone->kSteuerzone]}{else}{/if}" name="TaxZoneIcon[{$oTaxZone->kSteuerzone}]" id="TaxZoneIcon{$oTaxZone->kSteuerzone}" >
			<span class="img">{if !empty($pluginConfig->TaxZoneIcon[$oTaxZone->kSteuerzone])}<img src="../includes/plugins/css_vatSelect/flags/4x3/{$pluginConfig->TaxZoneIcon[$oTaxZone->kSteuerzone]}"  alt="" width='32px'>{else}noch keine Flagge ausgew&auml;hlt{/if}</span>
			</span><span class="input-group-wrap"> <button id="TaxZoneButton{$oTaxZone->kSteuerzone}" type="button" class="css-flag-button form-control btn btn-default btn-lg">Flagge ausw&auml;hlen</button>
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
											data-original-title="Bitte w&auml;hlen Sie ein passendes Icon aus">
											<i class="fa fa-question"></i>
							</button></span>
		</div>


	

	{foreach from=$aSprachen item=oSprache name='sprachen'}
		<div class="input-group">
			<span class="input-group-addon"> <label for="TaxZoneLanguage{$oTaxZone->kSteuerzone}_{$oSprache->kSprache}"></label>{$oSprache->cNameDeutsch}</span> <span class="input-group-wrap"> <input name="TaxZoneLanguage[{$oTaxZone->kSteuerzone}][{$oSprache->kSprache}]" id="TaxZoneLanguage{$oTaxZone->kSteuerzone}_{$oSprache->kSprache}"
							placeholder=""  type="text" class="form-control" value="{if !empty($pluginConfig->TaxZoneLanguage[$oTaxZone->kSteuerzone][$oSprache->kSprache])}{$pluginConfig->TaxZoneLanguage[$oTaxZone->kSteuerzone][$oSprache->kSprache]}{else}{$oTaxZone->cName}{/if}">
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
											data-original-title="Angezeigter Text f&uuml;r die Sprache {$oSprache->cNameDeutsch}" >
											<i class="fa fa-question"></i>
							</button></span>
		</div>
	{/foreach}
{/foreach}

<hr />



	<div class="alert alert-info">
		<p>Bezeichnung der Steuerklassen in den jeweiligen Shop Sprachen, lassen Sie das Feld einer Klasse frei, wird dieses nicht angezeigt</p>
	</div>

{foreach from=$aTaxClasses item=oTaxClass name='taxCClasses'}
	<div class="panel-heading">
		<h3 class="panel-title" style="height:auto;">{$oTaxClass->cName}</h3>
	</div>
	{foreach from=$aSprachen item=oSprache name='sprachen'}
		<div class="input-group">
			<span class="input-group-addon"> <label for="TaxClassLanguage{$oTaxClass->kSteuerklasse}_{$oSprache->kSprache}"></label>{$oSprache->cNameDeutsch}</span> <span class="input-group-wrap"> <input name="TaxClassLanguage[{$oTaxClass->kSteuerklasse}][{$oSprache->kSprache}]" id="TaxClassLanguage{$oTaxClass->kSteuerklasse}_{$oSprache->kSprache}"
							placeholder=""  type="text" class="form-control" value="{if empty($pluginConfig->TaxClassLanguage[$oTaxClass->kSteuerklasse]) && empty($pluginConfig->TaxClassLanguage[$oTaxClass->kSteuerklasse][$oSprache->kSprache])}{$oTaxClass->cName}{else}{$pluginConfig->TaxClassLanguage[$oTaxClass->kSteuerklasse][$oSprache->kSprache]}{/if}">
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
											data-original-title="Angezeigter Text f&uuml;r die Sprache {$oSprache->cNameDeutsch}" >
											<i class="fa fa-question"></i>
							</button></span>
		</div>
	{/foreach}
{/foreach}


<hr>
		<div class="panel-heading">
			<h3 class="panel-title">Zus&auml;tzliche Styles/ JavaScript</h3>
		</div>

		<div class="input-group">
			<span class="input-group-addon"> <label for="css">Styles</label></span> <span class="input-group-wrap"> <textarea style="min-height:400px" id="css" class="form-control" name="css">{$pluginConfig->css}</textarea>
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Hier k&ouml;nnen Sie je nach bedarf eigene Styles anlegen">
					<i class="fa fa-question"></i>
				</button></span>
		</div>
		<div class="input-group">
			<span class="input-group-addon"> <label for="js">JavaScript</label></span> <span class="input-group-wrap"> <textarea style="min-height:400px" id="javaScript" class="form-control" name="js">{$pluginConfig->js}</textarea>
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Hier k&ouml;nnen SIe je nach bedarf zusätzliches JavaScript anlegen">
					<i class="fa fa-question"></i>
				</button></span>
		</div>




												<div class="text-right" style="padding: 0px 10px 20px 0px">
																<button class="btn btn-primary" value="senden" type="submit" name="senden">
																				<i class="fa fa-save"></i> speichern
																</button>
												</div>
								</div>
				</form>
</div>


<script>
jQuery(document).ready(function() {
	$("#css-modalFlags").modal('show');
	$(document).on("click" , "#css-modalFlags a.css-link-flags", function(e) {
		e.preventDefault();
	});

	$(document).on('click', '.css-alphabet a', function(e) {
		e.preventDefault();
		console.log($(this).attr('href'));
		$(".css-flags").slideUp(function() {
			console.log("hallo");
		});
		$("." + $(this).attr('href')).slideDown();
	});
	
	$(document).on("click", ".css-link-flags" , function() {
		console.log("clicked", $(this).data("element"));
		var group = $("#" + $(this).data("element")).closest(".input-group");
		
		$(group).find("input").val($(this).data("img"));
		$(group).find(".img").html("<img width='32px' src='../includes/plugins/css_vatSelect/flags/4x3/" +  $(this).data("img") + "' >");
		$("#css-modalFlags").modal("hide");
	});
	
	
});
</script>

<style>

.css-tax-flex-container {
  display: flex;
  flex-wrap:wrap;
}

.css-tax-flex-container > div {
	margin:5px 0;
}
.css-country {
	display:none;
}

#css-modalFlags .modal-dialog {
	transition: width .05s ease-in-out;
}

#css-modalFlags .css-alphabet a {
	display:inline-block; 
	text-align:center; 
	width:30px;
}
#css-modalFlags .css-link-flags {
	padding-left:30px; 
	position:relative;
	display:block;
	min-height:20px;
}
#css-modalFlags .css-link-flags > img {
}
</style>