<?php

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2017 Andreas Petermann
 *
 * PHP version 5.6+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 * @package css_vatSelect 
 * @license GNU
 * @version 1.00
 *         
 */


namespace css_vatSelect;


require_once PFAD_ROOT.PFAD_PLUGIN."css_vatSelect/vendor/autoload.php";

require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.'.$oPlugin->cPluginID.'.php';
$cssPlugin = css_vatSelect::getInstance($oPlugin);


if(file_exists($oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php')){
	require_once $oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php';
} else {
	switch($oPlugin->nCalledHook) {
			case HOOK_SMARTY_OUTPUTFILTER: 	
				$cssPlugin->hookSmartyOutputfilter();
				break;

			case HOOK_CSS_JS_LIST:
				$cssPlugin->hookCssJsList($args_arr);
				break;

			case HOOK_CORE_SESSION_CONSTRUCTOR:
				$cssPlugin->hookCoreSessionConstructor();
				break;
				
				case HOOK_IO_HANDLE_REQUEST:
					if(!isset($_REQUEST['io']) || $_REQUEST['io']!='css_vatSelect') return;
					$cssPlugin->hookIoHandleRequest($_REQUEST);
					
	}
}


